Bug 170288 - poor error handling for DNS issue
poor error handling for DNS issue
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 11:36 EDT by Joe Orton
Modified: 2013-02-26 19:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:57:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2005-10-10 11:36:30 EDT
Description of problem:
When xmlrpc.rhn.redhat.com will not resolve, up2date prints an entirely
unhelpful error message five times before failing:

https://xmlrpc.rhn.redhat.com/XMLRPC foo
https://xmlrpc.rhn.redhat.com/XMLRPC foo
https://xmlrpc.rhn.redhat.com/XMLRPC foo
https://xmlrpc.rhn.redhat.com/XMLRPC foo
https://xmlrpc.rhn.redhat.com/XMLRPC foo
Error communicating with server. The message was:
Name or service not known

up2date-4.4.50-4
Comment 2 Jiri Pallich 2012-06-20 12:57:10 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.